Bug 306471 - Please add alpha to redhat-lsb
Please add alpha to redhat-lsb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
12
alpha Linux
low Severity low
: ---
: ---
Assigned To: Hao Liu
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
: 248094 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 03:26 EDT by Oliver Falk
Modified: 2010-12-05 02:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add alpha to redhat-lsb specfile (2.42 KB, patch)
2007-09-26 03:26 EDT, Oliver Falk
no flags Details | Diff

  None (edit)
Description Oliver Falk 2007-09-26 03:26:39 EDT
I attached a patch. Please have a look at it. It might not be the preferred way
to do it. :-)
Comment 1 Oliver Falk 2007-09-26 03:26:39 EDT
Created attachment 206541 [details]
Patch to add alpha to redhat-lsb specfile
Comment 2 Lawrence Lim 2007-10-03 04:37:57 EDT
Thanks for the patch. 

The following information suppose to comes from the LSB DB. I will need to have
a look at their DB if the information for alpha is supported. If not, I can add
in manually with the patch supplied. Have you tried on an alpha? 

+%ifarch alpha
+# archLSB Alpha Base Libraries
+Requires: libz.so.1
+Requires: libutil.so.1.1
+Requires: libpthread.so.0
+Requires: libncurses.so.5
+Requires: libm.so.6.1
+Requires: libgcc_s.so.1
+Requires: libdl.so.2.1
+Requires: libcrypt.so.1.1
+Requires: libc.so.6.1
+Requires: libstdc++.so.6
+%endif
Comment 3 Oliver Falk 2007-10-04 11:09:18 EDT
I didn't have a look at the lsb db. If lsb db says something else, please do
change it accordingly.

And yes, that's tested already:
[oliver@gosa alpha]$ rpm -q redhat-lsb
redhat-lsb-3.1-18.fc8axp

And: http://buildsys.zero42.at/koji/buildinfo?buildID=11010
Comment 4 Oliver Falk 2007-10-22 04:23:26 EDT
*ping*
Comment 5 Oliver Falk 2007-11-05 05:59:05 EST
*** Bug 248094 has been marked as a duplicate of this bug. ***
Comment 6 Oliver Falk 2007-11-05 05:59:19 EST
ping
Comment 7 Bug Zapper 2008-04-04 09:55:12 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Oliver Falk 2008-04-04 14:23:28 EDT
ping ping ping!
Comment 9 Lawrence Lim 2008-05-30 01:44:10 EDT
Sorry. Reassigning to hliu to include the patch.
Comment 10 Hao Liu 2008-08-07 21:31:34 EDT
Oliver, 
  Hi, I've queried the LSB DB, arch Alpha is not supported yet. But thank you for the patch, I'll add the patch to the repository, but not merge into the source package right now.
Comment 11 Hao Liu 2008-08-08 01:07:46 EDT
hi, Oliver,
  The latest version of package is redhat-lsb-3.1-22.
Comment 12 Oliver Falk 2008-08-11 06:35:00 EDT
Diff against 3.1-22:
Index: redhat-lsb.spec
===================================================================
RCS file: /cvs/pkgs/devel/redhat-lsb/redhat-lsb.spec,v
retrieving revision 1.38
diff -u -p -r1.38 redhat-lsb.spec
--- redhat-lsb.spec	7 Aug 2008 08:46:31 -0000	1.38
+++ redhat-lsb.spec	11 Aug 2008 10:34:20 -0000
@@ -36,6 +36,11 @@
 %define lsbldso ld-lsb-x86-64.so
 %endif
 
+%ifarch alpha
+%define ldso ld-linux-alpha.so.2
+%define lsbldso ld-lsb-alpha.so
+%endif
+
 %ifarch ia64 ppc64 s390x x86_64
 %define qual ()(64bit)
 %else
@@ -82,12 +87,15 @@ Provides: lsb = %{version}
 %ifarch x86_64
 %define archname amd64
 %endif
+%ifarch alpha
+%define archname alpha
+%endif
 Provides: lsb-core-%{archname} = %{version}
 Provides: lsb-graphics-%{archname} = %{version}
 Provides: lsb-core-noarch = %{version}
 Provides: lsb-graphics-noarch = %{version}
 
-ExclusiveArch: i386 ia64 x86_64 ppc ppc64 s390 s390x
+ExclusiveArch: i386 ia64 x86_64 ppc ppc64 s390 s390x alpha
 
 %ifarch %{ix86}
 # archLSB IA32 Base Libraries
@@ -187,16 +195,34 @@ Requires: libc.so.6()(64bit)
 Requires: libstdc++.so.6()(64bit)
 %endif
 
+%ifarch alpha
+# archLSB Alpha Base Libraries
+Requires: libz.so.1
+Requires: libutil.so.1.1
+Requires: libpthread.so.0
+Requires: libncurses.so.5
+Requires: libm.so.6.1
+Requires: libgcc_s.so.1
+Requires: libdl.so.2.1
+Requires: libcrypt.so.1.1
+Requires: libc.so.6.1
+Requires: libstdc++.so.6
+%endif
+
 # gLSB Base/Utility/Stdc++/Graphics Libraries
 Requires: libz.so.1%{qual}
+%ifnarch alpha
 Requires: libutil.so.1%{qual}
+%endif
 Requires: librt.so.1%{qual}
 Requires: libpthread.so.0%{qual}
 Requires: libpam.so.0%{qual}
 Requires: libncurses.so.5%{qual}
 Requires: libgcc_s.so.1%{qual}
+%ifnarch alpha
 Requires: libdl.so.2%{qual}
 Requires: libcrypt.so.1%{qual}
+%endif
 Requires: libstdc++.so.6%{qual}
 Requires: libXt.so.6%{qual}
 Requires: libXi.so.6%{qual}
Comment 13 Hao Liu 2008-08-11 21:59:54 EDT
Oliver,
  Thank you for your new patch.

  I've included it in the repository. The patch will not be applied to the source until LSB supports Arch Alpha.
Comment 14 Oliver Falk 2008-08-12 03:11:43 EDT
I wonder they don't support it yet. However. I hope they will soon :-)
Comment 15 Bug Zapper 2009-06-09 18:52:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Oliver Falk 2009-06-10 02:44:49 EDT
Can you ping LSB?
Comment 17 Bug Zapper 2009-11-16 02:58:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-11-04 08:06:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-12-05 02:14:46 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.